package ink.wgink.module.activiti.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: ActivitiRouteController
 * @Description: activiti路由
 * @Author: wanggeng
 * @Date: 2021/9/1 11:09 上午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "activiti路由")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/activiti")
public class ActivitiRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        ModelAndView mv = new ModelAndView("activiti/list");
        return mv;
    }

    @GetMapping("save")
    public ModelAndView save() {
        ModelAndView mv = new ModelAndView("activiti/save");
        return mv;
    }

    @GetMapping("update")
    public ModelAndView update() {
        ModelAndView mv = new ModelAndView("activiti/update");
        return mv;
    }

}
